*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    
}

/* Apply to the whole page */
body {
  cursor: url('Images/Fish cursor.png'), auto;
}


.hero{
    width: 100%;
    height: 100vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0.3),rgba(35, 35, 35, 0.3));
    position: relative;
    padding: 0 5%;
    display: flex;
    align-items: center;
    justify-content: center;
    
}

nav{
    width:100%;
    position: absolute;
    top: 0;
    left: 0;
    padding: 20px 8%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: url('Images/cat cursor.png'), pointer;
    

}


nav .logo{
    width: 80px;
    cursor: url('Images/cat cursor.png'), pointer;
}

nav ul li{
    list-style: none;
    display: inline-block;
    margin-left: 40px;
    font-family: AlteHaasGroteskRegular; 
}

nav ul li a{
    text-decoration: none;
    color: #fff;
    font-size: 17px;
    
}

.CatFishlogo {
  max-width: 100%;    /* Responsive */
  width: 200px;
  height: auto;
  align-items: center;
  justify-content: center;
  filter: sepia(50%); /* Vintage look */
  cursor: url('Images/cat cursor.png'), pointer;
}

.content{
    text-align: center;
    display: inline-block;

}

.content h1 {
    font-size: 100px;
    font-family: AlteHaasGroteskBold; 
    color: #fff;
    font-weight: 600;
    overflow: hidden; /* Ensures text is hidden until typed */
  border-right: 0.05em solid rgb(255, 255, 255); /* The cursor */
  white-space: nowrap; /* Keeps text on a single line */
  margin: 0 auto;
  width: fit-content;
  animation: 
    typing 1.2s steps(24, end),
    blink-caret 1.2s step-end infinite;

}

@keyframes typing {
    from {
        width: 0;
    }

    to {
        width: 75%;
    }
}

@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: rgb(255, 255, 255); }
}

.content h2 {
    font-size: 80px;
    font-family: AlteHaasGroteskBold; 
    color: #fff;
    font-weight: 600;

}

@keyframes fadeUpIn {
  from {
    opacity: 0;
    transform: translateY(20px); /* Start 20px below */
  }
  to {
    opacity: 1;
    transform: translateY(0);    /* End at original position */
  }
}

.fade-up {
  animation: fadeUpIn 0.8s ease-out forwards;
}

.content h4{
    font-size: 40px;
    font-family: AlteHaasGroteskRegular; 
    color: #fff;
    font-weight: 200;
    animation: fadeIn 1s ease-in forwards;

}

@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

.content p{
    font-size: 15px;
    font-family: AlteHaasGroteskRegular; 
    color: #fff;
    font-weight: 100;
    margin-top: 50px;
    margin-left: 300px;
    margin-right: 300px;

}
.content a{
    text-decoration: none;
    font-family: AppleGaramondItalic; 
    display: inline-block;
    color: #fff;
    font-size: 24px;
    border: 2px solid #fff;
    padding: 14px 70px;
    border-radius: 50px;
    margin-top: 20px;
    cursor: url('Images/cat cursor.png'), pointer;
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
}

.content a:hover {
    transform: scale(1.15); 
    text-decoration: none;
    font-family: AppleGaramondItalic; 
    display: inline-block;
    color: #fff;
    font-size: 24px;
    border: 2px solid #fff;
    padding: 14px 70px;
    border-radius: 50px;
    margin-top: 20px;
    cursor: url('Images/cat cursor.png'), pointer;
}

.back-video{
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: -1;
}

@media (min-aspect-ratio: 16/9){
    .back-video{
        width: 100%;
        height: auto;
    }
}

@media (max-aspect-ratio: 16/9){
    .back-video{
        width: auto;
        height: 100%;
    }
}

footer {
  text-align: center;
  padding: 20px;
  background-color: #000000;
  font-size: 14px;
  font-family: AlteHaasGroteskRegular;
  color:#fff
}